--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Factory method to construct a source index instance for a given path.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "deprecated:"
    body: If supplied, from_installed_gems will act just like <tt>from_gems_in</tt>. This argument is deprecated and is provided just for backwards compatibility, and should not generally be used.
  - !ruby/struct:SM::Flow::LI 
    label: "return:"
    body: SourceIndex instance
  type: :NOTE
full_name: Gem::SourceIndex::from_installed_gems
is_singleton: true
name: from_installed_gems
params: (*deprecated)
visibility: public
